<nav
  class="flex justify-between items-center px-4 lg:px-4 xl:max-w-screen-xl 2xl:max-w-screen-2xl m-auto text-gray-100"
>
  <ul class="hidden lg:block">
    <li class="inline-block">
      <a
        class="transition-all py-6 ease-in-out inline-block px-4 hover:bg-white hover:text-odb-500"
        [routerLink]="'/comprar'"
        >Oportunidades</a
      >
    </li>
    <li class="inline-block">
      <a
        class="transition-all py-6 ease-in-out inline-block px-4 hover:bg-white hover:text-odb-500"
        [routerLink]="'/calcular-hipoteca'"
        >Simulador de hipoteca</a
      >
    </li>
  </ul>
  <div class="logo">
    <a [routerLink]="'/'" class="block w-52 lg:w-52 lg:my-2">
      <img
        src="/assets/images/logo-odb-white.png"
        width="100%"
        alt="Logo oportunidades de bancos - Blanco"
      />
    </a>
  </div>
  <div
    class="block lg:hidden border-2 border-transparent hover:border-gray-200 text-gray-200 hover:cursor-pointer mt-1 mx-2 p-1 rounded"
    (click)="toggleMenu()"
  >
    <i class="bi bi-list text-4xl block"></i>
  </div>
  <ul class="hidden lg:block">
    <li class="inline-block">
      <a
        class="transition-all py-6 ease-in-out inline-block px-4 hover:bg-white hover:text-odb-500"
        [routerLink]="'/trabaja-con-nosotros'"
        >Trabaja con nosotros</a
      >
    </li>
    <li class="inline-block">
      <a
        class="transition-all py-6 ease-in-out inline-block px-4 hover:bg-white hover:text-odb-500"
        [routerLink]="'/blog'"
        >Blog</a
      >
    </li>
    <li class="inline-block">
      <a
        class="transition-all py-6 ease-in-out inline-block px-4 hover:bg-white hover:text-odb-500"
        [routerLink]="'/contactanos'"
        >Contáctanos</a
      >
    </li>
  </ul>
  <div
    [ngClass]="{
      'absolute flex flex-col inset-0 w-screen bg-odb-800 h-screen': true,
      hidden: !openMenu
    }"
  >
    <span
      class="text-4xl absolute top-0 right-0 mr-8 mt-4 py-2 px-3 cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded"
      (click)="toggleMenu()"
      ><i class="bi bi-x-lg"></i
    ></span>
    <ul class="w-auto m-auto">
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a
          class="flex items-center"
          [routerLink]="['/comprar']"
          routerLinkActive="active-link"
          ><i class="bi text-3xl mr-5 bi-search"></i> Oportunidades</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="['/calcular-hipoteca']"
          ><i class="bi text-3xl mr-5 bi-percent"></i> Simulador de hipoteca</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="['/trabaja-con-nosotros']"
          ><i class="bi text-3xl mr-5 bi-easel"></i> Trabaja con nosotros</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="['/blog']"
          ><i class="bi text-3xl mr-5 bi-bookmark"></i> Blog</a
        >
      </li>
      <li
        class="transition-all ease-in cursor-pointer border-2 border-transparent hover:bg-odb-500 hover:border-gray-200 rounded p-4 my-5 text-xl hover:bg-odb-500"
      >
        <a class="flex items-center" [routerLink]="['/contactanos']"
          ><i class="bi text-3xl mr-5 bi-telephone"></i> Contáctanos</a
        >
      </li>
    </ul>
  </div>
</nav>
